## org.codehaus.groovy.reflection
Class LongCachedClass

Constructor Summary
`LongCachedClass(Class klazz)`

Method Summary
`Object` | `coerceArgument(Object argument)`
`boolean` | `isAssignableFrom(Class classToTransformFrom)`
`boolean` | `isDirectlyAssignable(Object argument)`

Constructor Detail

### LongCachedClass

    public LongCachedClass(Class klazz)

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)